classification
Title: [IDLE] UnicodeDecodeError when invoking force-open-completions
Type: crash Stage: resolved
Components: IDLE Versions: Python 3.1
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Tkinter binding involving Control-spacebar raises unicode error
View: 1028
Assigned To: Nosy List: ezio.melotti, gpolo, jamesie
Priority: normal Keywords:

Created on 2009-05-29 21:11 by jamesie, last changed 2009-07-18 09:39 by ezio.melotti. This issue is now closed.

Messages (2)
msg88540 - (view) Author: (jamesie) Date: 2009-05-29 21:11
IDLE 3.1b1 crashes when I press Control-SPACE in order to invoke Show
Completions from the Edit submenu. When I run that funtionality from the
menu it works ok.

Traceback (most recent call last):
  File "/usr/local/bin/idle3", line 5, in <module>
    main()
  File "/usr/local/lib/python3.1/idlelib/PyShell.py", line 1420, in main
    root.mainloop()
  File "/usr/local/lib/python3.1/tkinter/__init__.py", line 1009, in
mainloop
    self.tk.mainloop(n)
UnicodeDecodeError: 'utf8' codec can't decode bytes in position 0-1:
illegal encoding

I rund a hand-compiled Python 3.1b1 on Debian/GNU Linux Lenny.
msg90666 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2009-07-18 09:39
This was already reported in #1028.
Closing as duplicate.
History
Date User Action Args
2009-07-18 09:39:35ezio.melottisetstatus: open -> closed

superseder: Tkinter binding involving Control-spacebar raises unicode error

nosy: + ezio.melotti
messages: + msg90666
resolution: duplicate
stage: resolved
2009-07-18 09:38:41ezio.melottiunlinkissue1028 superseder
2009-07-18 09:36:32ezio.melottilinkissue1028 superseder
2009-07-05 22:19:47amaury.forgeotdarclinkissue6424 superseder
2009-05-29 21:11:11jamesiecreate